Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdTypeArray Class Reference

`#include <vtkIdTypeArray.h>`

Inheritance diagram for vtkIdTypeArray:

[legend]
Collaboration diagram for vtkIdTypeArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting integer array

Date:
  2002/11/12 18:32:04

Revision:
  1.8

vtkIdTypeArray is an array of integer numbers. It provides methods for insertion and retrieval of integer values, and will automatically resize itself to hold new data.

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (89%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkIdTypeArray.h)`
  - .`cxx` (`/Common/vtkIdTypeArray.cxx)`

Tests:
  vtkIdTypeArray (Tests)

Definition at line 45 of file vtkIdTypeArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataTypeSize ()
virtual void | Resize (vtkIdType numTuples)
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const vtkIdType i)
vtkIdType | InsertNextValue (const vtkIdType i)
vtkIdType * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *ia)
int | GetDataType ()
void | Squeeze ()
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
vtkIdType | GetValue (const vtkIdType id)
void | SetValue (const vtkIdType id, const vtkIdType value)
vtkIdType * | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
void | SetArray (vtkIdType *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkIdTypeArray * | New ()
int | IsTypeOf (const char *type)
vtkIdTypeArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIdTypeArray (vtkIdType numComp=1)
| ~vtkIdTypeArray ()
vtkIdType * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
vtkIdType * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkIdTypeArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 50 of file vtkIdTypeArray.h.

## Constructor & Destructor Documentation

vtkIdTypeArray::vtkIdTypeArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkIdTypeArray::~vtkIdTypeArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkIdTypeArray* vtkIdTypeArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkIdTypeArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkIdTypeArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkIdTypeArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkIdTypeArray* vtkIdTypeArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkIdTypeArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkIdTypeArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkIdTypeArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkIdTypeArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 62 of file vtkIdTypeArray.h. References VTK_ID_TYPE.

int vtkIdTypeArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 67 of file vtkIdTypeArray.h.

void vtkIdTypeArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 71 of file vtkIdTypeArray.h.

virtual void vtkIdTypeArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

void vtkIdTypeArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkIdTypeArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkIdTypeArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkIdTypeArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkIdTypeArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkIdTypeArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkIdTypeArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkIdTypeArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkIdTypeArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkIdTypeArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

vtkIdType vtkIdTypeArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 113 of file vtkIdTypeArray.h. References id, and vtkIdType. Referenced by vtkPriorityQueue::DeleteId(), vtkCellArray::GetCell(), vtkCellArray::GetNextCell(), vtkPriorityQueue::GetPriority(), and vtkCellArray::ReverseCell().

void vtkIdTypeArray::SetValue | ( | const vtkIdType | id,
|  | const vtkIdType | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 120 of file vtkIdTypeArray.h. References id, and vtkIdType. Referenced by vtkCellArray::UpdateCellCount().

void vtkIdTypeArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 182 of file vtkIdTypeArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkIdTypeArray::InsertValue | ( | const vtkIdType | id,
|  | const vtkIdType | i
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 203 of file vtkIdTypeArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by vtkCellArray::InsertCellPoint(), and InsertNextValue().

vtkIdType vtkIdTypeArray::InsertNextValue | ( | const vtkIdType | i | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 216 of file vtkIdTypeArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType. Referenced by vtkCellArray::InsertNextCell().

vtkIdType* vtkIdTypeArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 139 of file vtkIdTypeArray.h. References id, and vtkIdType. Referenced by vtkCellArray::GetCell(), vtkCellArray::GetNextCell(), vtkCellArray::ReplaceCell(), and vtkCellArray::ReverseCell().

void* vtkIdTypeArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 141 of file vtkIdTypeArray.h. References id, and vtkIdType.

vtkIdType * vtkIdTypeArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 188 of file vtkIdTypeArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by vtkCellArray::InsertNextCell(), and vtkCellArray::WritePointer().

void vtkIdTypeArray::DeepCopy | ( | vtkDataArray * | ia | ) | `[virtual]`

| Deep copy of another integer array. Reimplemented from vtkDataArray.

void vtkIdTypeArray::SetArray | ( | vtkIdType * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkIdTypeArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 161 of file vtkIdTypeArray.h. References vtkIdType.

vtkIdType* vtkIdTypeArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

vtkIdType* vtkIdTypeArray::Array`[protected]`

| Definition at line 169 of file vtkIdTypeArray.h. Referenced by InsertValue(), and WritePointer().

int vtkIdTypeArray::TupleSize`[protected]`

| Definition at line 172 of file vtkIdTypeArray.h.

float* vtkIdTypeArray::Tuple`[protected]`

| Definition at line 173 of file vtkIdTypeArray.h.

int vtkIdTypeArray::SaveUserArray`[protected]`

| Definition at line 175 of file vtkIdTypeArray.h.

The documentation for this class was generated from the following file:

- Common/vtkIdTypeArray.h